% Matlab Script to create the mesh of Tete Rousse
% F. Gillet-Chaulet, O. Gagliardini, May 2011

% create teterousse.geo
clear;


lc_out=18.0;

A=dlmread('../Data/Contour_TR_glacier.dat');

fid1=fopen('teterousse.geo','w');
fprintf(fid1,'Mesh.Algorithm=5; \n');

As=size(A,1);

np=0;
for ii=1:As
    np=np+1;
    fprintf(fid1,'Point(%g)={%14.7e,%14.7e,0.0,%g}; \n',np,A(ii,1),A(ii,2),lc_out);
end

fprintf(fid1,'Spline(1)={');
for ii=1:As
  fprintf(fid1,'%g,',ii);
end
fprintf(fid1,'%g}; \n',1);

fprintf(fid1,'Line Loop(2)={1}; \n');
fprintf(fid1,'Plane Surface(3) = {2}; \n');
fprintf(fid1,'Physical Line(4) = {1}; \n');
fprintf(fid1,'Physical Surface(5) = {3}; \n');

fclose(fid1)

% create teterousse.msh using gmsh
system "gmsh teterousse.geo -1 -2"
% convert teterousse.gmsh in an Elmer type mesh
system "ElmerGrid 14 2 teterousse.msh -autoclean"

