clear;

lc_out=18.0;
lc_in=6.0;

A=dlmread('../Data/Contour_TR_glacier.dat');
B=dlmread('../Data/Contour_TR_cavity.dat');

fid1=fopen('teterousse.geo','w');

As=size(A,1);
Bs=size(B,1);

np=0;
for ii=1:As
    np=np+1;
    fprintf(fid1,'Point(%g)={%14.7e,%14.7e,0.0,%g}; \n',np,A(ii,1),A(ii,2),lc_out);
end
for ii=1:Bs
    np=np+1;
    fprintf(fid1,'Point(%g)={%14.7e,%14.7e,0.0,%g}; \n',np,B(ii,1),B(ii,2),lc_in);
end

fprintf(fid1,'Spline(1)={');
for ii=1:As
  fprintf(fid1,'%g,',ii);
end
fprintf(fid1,'%g}; \n',1);

fprintf(fid1,'Spline(2)={');
for ii=1:Bs
  fprintf(fid1,'%g,',As+ii);
end
fprintf(fid1,'%g}; \n',As+1);

fprintf(fid1,'Line Loop(3)={1}; \n');
fprintf(fid1,'Line Loop(4) = {2}; \n');
fprintf(fid1,'Plane Surface(5) = {3, 4}; \n');
fprintf(fid1,'Plane Surface(6) = {4}; \n');
fprintf(fid1,'Physical Line(7) = {1}; \n');
fprintf(fid1,'Physical Surface(8) = {5,6}; \n');

fclose(fid1)

% create teterousse.msh using gmsh
system "gmsh teterousse.geo -1 -2"

% convert teterousse.gmsh in an Elmer type mesh
system "ElmerGrid 14 2 teterousse.msh -autoclean"
